using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Xml;
using C1.C1Preview;
using C1.Win.C1Preview;

namespace C1SampleViewer
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Initialize all documents
            LoadPreviewDocuments();

            // Add an event handler for the File Open dropdown
            c1PrintPreviewControl1.ToolBars.File.Open.DropDownItemClicked += new ToolStripItemClickedEventHandler(FileOpen_DropDownItemClicked);
        }

        private void LoadPreviewDocuments()
        {
            // Initialize the options page from the user's settings and load it into the preview control
            c1SampleOptions1.LoadFromSettings();
            c1PrintPreviewControl1.Document = c1SampleOptions1;

            // Initialize the sample document from the user's settings and load it into the preview control
            c1SampleDocument1.LoadFromSettings();
            c1PrintPreviewControl1.Document = c1SampleDocument1;
        }

        private void FileOpen_DropDownItemClicked(object sender, ToolStripItemClickedEventArgs e)
        {
            // Hide the navigation panel if this is the options page
            bool isOptionsPage = (e.ClickedItem.Text == "Options");
            c1PrintPreviewControl1.NavigationPanelVisible = !isOptionsPage;
        }

        private void c1PrintPreviewControl1_PreviewPane_FormsUserAction(object sender, FormsUserActionEventArgs e)
        {
            // Handle mouse clicks for the button on the options page
            if (e.UserAction == UserActionEnum.Click)
            {
                if (e.RenderObject is RenderInputButton)
                {
                    // Save the user's settings
                    c1SampleOptions1.SaveToSettings(e.RenderObject);

                    // Clear the MRU list and reload all documents
                    c1PrintPreviewControl1.PreviewPane.VisitedDocuments.Clear();
                    LoadPreviewDocuments();

                    // Restore the navigation panel
                    c1PrintPreviewControl1.NavigationPanelVisible = true;
                }

                // Signal that the event was handled
                e.Handled = true;
            }
        }
    }
}